CMSIS-Driver: CAN Object Configuration Codes

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations
CAN Object Configuration Codes
CAN Control Codes

CAN Object Configuration codes. More...

## Enumerations

enum | ARM_CAN_OBJ_CONFIG { ARM_CAN_OBJ_INACTIVE, ARM_CAN_OBJ_TX, ARM_CAN_OBJ_RX, ARM_CAN_OBJ_RX_RTR_TX_DATA, ARM_CAN_OBJ_TX_RTR_RX_DATA }

## Description

CAN Object Configuration codes.

## Enumeration Type Documentation

enum ARM_CAN_OBJ_CONFIG

Provides defined values for the configuration of CAN objects.

Parameter for:

- ARM_CAN_ObjectConfigure

Enumerator
ARM_CAN_OBJ_INACTIVE | CAN object inactive.
ARM_CAN_OBJ_TX | CAN transmit object.
ARM_CAN_OBJ_RX | CAN receive object.
ARM_CAN_OBJ_RX_RTR_TX_DATA | CAN object that on RTR reception automatically transmits Data Frame.
ARM_CAN_OBJ_TX_RTR_RX_DATA | CAN object that transmits RTR and automatically receives Data Frame.